<?php
/**
* @package      Easyway Shop
* @copyright    Copyright (C) 2005 - 2011 TA-EDV
* @license      proprietary
* @author       John T. Daly <jd@ta-edv.de>
* 
* Easyway Shop is a web shop system
*/

include_once './core/payment_method.class.php';

class admin_order_payment_method {
	
	function __construct($base_object, $layout_object) {
		$this->layout_object = $layout_object;
		$this->base_object = $base_object;
	}
		
	function run() {
		$payment_method = new Payment_method($this->base_object);

		if (isset($_GET['method_id'])) {
			$payment_method_id = $_GET['method_id'];

			$payment_method_name = $payment_method->get_by_id($payment_method_id)->module;
		} elseif (isset($_GET['method_name'])) {
			$payment_method_name =  $_GET['method_name'];
		} else {
			$payment_method_name =  false;
		}
		
		if ($payment_method_name) {
			$order_id = $_GET['id'];
			
			return $this->layout_object->fetch('payment_method_' . $payment_method_name . '.tpl');
		} else {
			echo "ERROR";
		}
	}
}
